> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification preferences



## OpenAPI

````yaml /openapi.json put /api/notifications/preferences
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/notifications/preferences:
    put:
      tags:
        - Notifications
      summary: Update notification preferences
      operationId: putApiNotificationsPreferences
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                inAppDeploy:
                  type: boolean
                inAppBilling:
                  type: boolean
                inAppSecurity:
                  type: boolean
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                inAppDeploy:
                  type: boolean
                inAppBilling:
                  type: boolean
                inAppSecurity:
                  type: boolean
          multipart/form-data:
            schema:
              type: object
              properties:
                inAppDeploy:
                  type: boolean
                inAppBilling:
                  type: boolean
                inAppSecurity:
                  type: boolean
      responses:
        default:
          description: Response
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key
    cookieAuth:
      type: apiKey
      in: cookie
      name: better-auth.session_token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.